/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine;

/**
 * Listener for changes to the collection of style rules.
 */
public interface StyleRulesManagerListener {
	/**
	 * Indicates that the collection of style rules handled by the manager has
	 * changed (add or delete). This callback is not guaranteed to occur on the
	 * EventQueue so do not modify the UI in this thread.
	 * 
	 * @param manager
	 *            The manager whos collection has changed.
	 */
	public void styleRulesChanged(StyleRulesManager manager);
}
