/*
 *  Copyright 2010 johan.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package nu.zoom.catonine.desktop;

import java.io.File;
import java.io.IOException;
import java.util.Set;
import nu.zoom.swing.desktop.PlugIn;
import nu.zoom.swing.desktop.WorkbenchListener;

/**
 * Utility plug in to re-open previously opened files when svansprogram starts.
 * @author Johan Maasing
 */
public interface FileReopener extends PlugIn, WorkbenchListener {

    public void remember(final File file) throws IOException;

    public void forget(final File file) throws IOException;

    public Set<String> getRememeberedFiles() ;
}
