/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.desktop.about;

import javax.swing.JCheckBoxMenuItem;

import nu.zoom.swing.desktop.PlugIn;
import nu.zoom.swing.desktop.Workbench;
import nu.zoom.swing.desktop.WorkbenchFrame;
import nu.zoom.swing.desktop.WorkbenchListener;
import nu.zoom.swing.desktop.common.action.ToggleFrameAction;

import org.ops4j.gaderian.Messages;

public class AboutPlugIn implements PlugIn, WorkbenchListener {
	private Workbench workbench;

	private Messages messages;

	public AboutPlugIn(Workbench workbench, Messages messages) {
		super();
		this.workbench = workbench;
		this.messages = messages;
	}

	public void initialize() throws Exception {
		workbench.addWorkBenchListener(this);
	}

	public void close() {
	}

	public void start() {
		workbench.getMenuBar().addToHelpMenu(
				new AboutMenuItem(messages).getControl());
	}

	class AboutMenuItem extends ToggleFrameAction<JCheckBoxMenuItem> {
		private static final long serialVersionUID = 1L;

		public AboutMenuItem(Messages messages) {
			super(messages, new JCheckBoxMenuItem());
			setNameFromMessages("nu.zoom.catonine.about.menuitem");
		}

		@Override
		protected WorkbenchFrame createFrame() {
			AboutComponent c = new AboutComponent();
			c.init(messages);
			WorkbenchFrame frame = workbench.createWorkbenchFrame(
					"catonine.about", c, true, true);
			frame.setTitle(messages
					.getMessage("nu.zoom.catonine.about.menuitem"));
			return frame ;
		}

	}

}
