/*
 *  Copyright 2010 johan.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package nu.zoom.catonine.swing;

import java.awt.event.ActionEvent;
import nu.zoom.catonine.desktop.StyleRulesPlugInImpl;
import nu.zoom.catonine.ui.LocalizedResources;
import nu.zoom.catonine.ui.LocalizedResources.ResourceNotFoundException;
import nu.zoom.swing.action.AbstractTypedAction;

/**
 *
 * @author johan
 */
public class ImportStyleRulesManagerAction extends AbstractTypedAction {

    private final StyleRulesPlugInImpl styleRulesPlugInImpl;
    private final LocalizedResources messages;

    public ImportStyleRulesManagerAction(final StyleRulesPlugInImpl styleRulesPlugInImpl, final LocalizedResources messages) throws ResourceNotFoundException {
        this.styleRulesPlugInImpl = styleRulesPlugInImpl;
        this.messages = messages;
        setName(messages.getMessage("nu.zoom.catonine.configurations.import"));
        setToolTip(messages.getMessage("nu.zoom.catonine.configurations.import.tt"));
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        styleRulesPlugInImpl.importManager();
    }

}
