/*
 *  Copyright 2010 johan.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package nu.zoom.catonine.swing;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import nu.zoom.catonine.ui.LocalizedResources;
import nu.zoom.catonine.ui.LocalizedResources.ResourceNotFoundException;
import nu.zoom.swing.action.AbstractTypedAction;

/**
 *
 * @author johan
 */
public class StampAction extends AbstractTypedAction {

    private final TimestampDocument document;

    public StampAction(final LocalizedResources resources, final TimestampDocument document) throws ResourceNotFoundException {
        this.document = document;
        setIcon(resources.getIcon("nu.zoom.catonine.tail.stamp.icon"));
        setName(resources.getMessage("nu.zoom.catonine.tail.stamp"));
        setToolTip(resources.getMessage("nu.zoom.catonine.tail.stamp.tt"));
        setMnemonicKey(KeyEvent.VK_T);
        setAcceleratorKey(KeyEvent.VK_T, InputEvent.CTRL_DOWN_MASK);
        if (document == null) {
            setEnabled(false);
        }
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        document.addStampAfterLast();
    }
}
